Package org.postgresql.replication.fluent

# Interface CommonOptions

All Known Subinterfaces:
  `LogicalReplicationOptions`, `PhysicalReplicationOptions`

All Known Implementing Classes:
  `LogicalStreamBuilder`, `PhysicalStreamBuilder`

public interface CommonOptions
Common parameters for logical and physical replication.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getSlotName()`
Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
`LogSequenceNumber`
`getStartLSNPosition()`
`int`
`getStatusInterval()`
Specifies the number of millisecond between status packets sent back to the server.

## Method Details

### getSlotName

@Nullable String getSlotName()
Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.

Returns:
  nullable replication slot name that already exists on server and free.

### getStartLSNPosition

LogSequenceNumber getStartLSNPosition()

Returns:
  the position to start replication. This cannot be null.

### getStatusInterval

int getStatusInterval()
Specifies the number of millisecond between status packets sent back to the server. This allows for easier monitoring of the progress from server. A value of zero disables the periodic status updates completely, although an update will still be sent when requested by the server, to avoid timeout disconnect. The default value is 10 seconds.

Returns:
  the current status interval